Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractTextDocumentLayout_Selection

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAbstractTextDocumentLayout_Selection

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QAbstractTextDocumentLayout_Selection

extends QtJambiObject
implements java.lang.Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAbstractTextDocumentLayout_Selection()` Constructs a new QAbstractTextDocumentLayout_Selection object.

Method Summary
`QAbstractTextDocumentLayout_Selection` | `clone()` This method is reimplemented for internal reasons
`QTextCursor` | `cursor()` Returns the cursor of this QAbstractTextDocumentLayout_Selection.
`QTextCharFormat` | `format()` Returns the format of this QAbstractTextDocumentLayout_Selection.
`static QAbstractTextDocumentLayout_Selection` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractTextDocumentLayout_Selection instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QAbstractTextDocumentLayout_Selection[] array)` This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_Selection array.
`void` | `setCursor(QTextCursor cursor)` Sets the `cursor` of this QAbstractTextDocumentLayout_Selection.
`void` | `setFormat(QTextCharFormat format)` Sets the `format` of this QAbstractTextDocumentLayout_Selection.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractTextDocumentLayout_Selection

    public QAbstractTextDocumentLayout_Selection()

  Constructs a new QAbstractTextDocumentLayout_Selection object.

Method Detail

### setCursor

    public final void setCursor(QTextCursor cursor)

  Sets the `cursor` of this QAbstractTextDocumentLayout_Selection.

### cursor

    public final QTextCursor cursor()

  Returns the cursor of this QAbstractTextDocumentLayout_Selection.

### setFormat

    public final void setFormat(QTextCharFormat format)

  Sets the `format` of this QAbstractTextDocumentLayout_Selection.

### format

    public final QTextCharFormat format()

  Returns the format of this QAbstractTextDocumentLayout_Selection.

### fromNativePointer

    public static QAbstractTextDocumentLayout_Selection fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractTextDocumentLayout_Selection instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QAbstractTextDocumentLayout_Selection[] array)

  This function returns a QNativePointer that is pointing to the specified QAbstractTextDocumentLayout_Selection array.

### clone

    public QAbstractTextDocumentLayout_Selection clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD